# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - gecko_taskgraph.transforms.release_deps:transforms
    - gecko_taskgraph.transforms.scriptworker:add_balrog_scopes
    - gecko_taskgraph.transforms.task:transforms

kind-dependencies:
    - release-bouncer-check
    - release-push-langpacks

task-defaults:
    run-on-projects: []
    shipping-phase: ship
    worker-type: balrog
    worker:
        implementation: balrog
        balrog-action: schedule

tasks:
    firefox:
        description: Schedule Firefox publishing in balrog
        name: release-firefox_schedule_publishing_in_balrog
        shipping-product: firefox
        worker:
            product: firefox
            publish-rules:
                by-release-level:
                    production:
                        by-release-type:
                            beta: [32]
                            release: [145]
                            esr128: [17916]
                            default: []
                    staging:
                        by-release-type:
                            beta: [32]
                            release: [145]
                            esr128: [3085]
                            default: []
            background-rate:
                by-release-type:
                    beta:
                        by-beta-number:
                            '1': 25
                            '2': 50
                            '3': 100
                            default: null
                    default: null
            force-fallback-mapping-update:
                by-release-type:
                    beta:
                        by-beta-number:
                            '1': true
                            default: false
                    default: false
            pin-channels:
                by-release-type:
                    beta: ["beta"]
                    release: ["release"]
                    esr.*: ["esr", "esr-next"]
                    default: []
        treeherder:
            platform: firefox-release/opt
            symbol: Rel(BSFx)
            tier: 1
            kind: build
    devedition:
        description: Schedule Devedition publishing in balrog
        name: release-devedition_schedule_publishing_in_balrog
        shipping-product: devedition
        worker:
            product: devedition
            publish-rules: [10]
            background-rate:
                by-release-type:
                    beta: null
                    default: null
            force-fallback-mapping-update:
                by-release-type:
                    beta: true
                    default: false
            pin-channels: ["aurora"]
        treeherder:
            platform: devedition-release/opt
            symbol: Rel(BSDev)
            tier: 1
            kind: build
